Subject: [PATCH v15 00/13] Add tested id switch and vbus connect detect support for Chipidea

From: [email-masked] (Hector Palacios)
Date: Tue, 27 Aug 2013 12:20:21 +0200

On 08/27/2013 10:12 AM, Hector Palacios wrote:
> On 08/27/2013 10:09 AM, Alexander Shishkin wrote:
>> Hector Palacios <[email-masked]> writes:
>>
>>> Dear Peter,
>>>
>>> On 08/27/2013 04:51 AM, Peter Chen wrote:
>>>> On Mon, Aug 26, 2013 at 06:24:48PM +0200, Hector Palacios wrote:
>>>>> Dear Peter,
>>>>>
>>>>> On 08/12/2013 03:22 AM, Peter Chen wrote:
>>>>>> This patchset adds tested otg id switch function and vbus connect
>>>>>> and disconnect detection for chipidea driver. And fix kinds of
>>>>>> bugs found at chipidea drivers after enabling id and vbus detection.
>>>>>>
>>>>>> This patch are fully tested at imx6 sabresd and imx28evk platform by me.
>>>>>> Besides, marek tested it on two STMP3780-based boards (not yet mainline)
>>>>>> and two MX28-based boards.
>>>>>>
>>>>>> My chipidea repo: https://github.com/hzpeterchen/linux-usb.git
>>>>>>
>>>>>> Changes for v15:
>>>>>> - Mark otgsc API as static line, and move them to otg.h [4/13]
>>>>>> - Remove some redundant comments [6/13]
>>>>>> - Fix some typos [8/13]
>>>>>> - Retire flag CI_HDRC_PULLUP_ON_VBUS [12/13] [13/13]
>>>>>
>>>>> Patches 6 and 12 in this series seem to be incomplete or malformed. Please check.
>>>>>
>>>>
>>>> Would you post what's the problem for them or what's problem
>>>> at your system after using them?
>>>
>>> I'm sorry, I thought it was evident. Patches 6 and 12 were posted incomplete. See how
>>> they end:
>>> http://permalink.gmane.org/gmane.linux.usb.general/92231
>>> http://permalink.gmane.org/gmane.linux.usb.general/92237
>>>
>>> In patch 12 the modified file include/linux/usb/chipidea.h does not even appear.
>>> Something happened during the generation or posting of these patches.
>>
>> Or something's wrong with gmane.
>>
>> http://www.spinics.net/lists/linux-usb/msg91695.html
>
> Oops. My fault, then. Sorry about that.

For what is worth, I successfully tested these series with serial, ethernet and mass 
storage gadget drivers on a custom board (not upstream) based on i.MX28.

Tested-by: Hector Palacios <[email-masked]>

Best regards,
--
Hector Palacios